Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer.validate
Class BufferResultValidator

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.BufferResultValidator

    public class BufferResultValidator

extends java.lang.Object

Validates that the result of a buffer operation is geometrically correct, within a computed tolerance.

This is a heuristic test, and may return false positive results (I.e. it may fail to detect an invalid result.) It should never return a false negative result, however (I.e. it should never report a valid result as invalid.)

This test may be (much) more expensive than the original buffer computation.

Author:
  Martin Davis

Constructor Summary
`BufferResultValidator(Geometry input, double distance, Geometry result)`

Method Summary
`Geometry` | `getErrorIndicator()` Gets a geometry which indicates the location and nature of a validation failure.
`Coordinate` | `getErrorLocation()`
`java.lang.String` | `getErrorMessage()`
`boolean` | `isValid()`
`static boolean` | `isValid(Geometry g, double distance, Geometry result)`
`static java.lang.String` | `isValidMsg(Geometry g, double distance, Geometry result)` Checks whether the geometry buffer is valid, and returns an error message if not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferResultValidator

    public BufferResultValidator(Geometry input,
                                 double distance,
                                 Geometry result)

Method Detail

### isValid

    public static boolean isValid(Geometry g,
                                  double distance,
                                  Geometry result)

### isValidMsg

    public static java.lang.String isValidMsg(Geometry g,
                                              double distance,
                                              Geometry result)

  Checks whether the geometry buffer is valid, and returns an error message if not.

  Parameters:
    `g` -
    `distance` -
    `result` -
  Returns:
    an appropriate error message or null if the buffer is valid

### isValid

    public boolean isValid()

### getErrorMessage

    public java.lang.String getErrorMessage()

### getErrorLocation

    public Coordinate getErrorLocation()

### getErrorIndicator

    public Geometry getErrorIndicator()

  Gets a geometry which indicates the location and nature of a validation failure.

  If the failure is due to the buffer curve being too far or too close to the input, the indicator is a line segment showing the location and size of the discrepancy.

  Returns:
    a geometric error indicator or null if no error was found

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD